import { GdRoot } from "./index.js";

export class GdEnemy {
    public speed: number = 0;

    static addEnemies(gdRoot: GdRoot) {
        gdRoot.enemies.push(createEnemy0());
    }
}

function createEnemy0(): GdEnemy {
    return {
        ...new GdEnemy(),
        speed: 2
    };
}
